;________________________________________________________________________
;
;                           T E S T . A S M
;________________________________________________________________________
;
; PIC16C84 project by Byon Garrabrant  N6BG  byon@netcom.com  Apr 97
;________________________________________________________________________

	LIST	P=PIC16F84
	include	"P16F84.INC"
	__CONFIG _XT_OSC & _CP_OFF & _PWRTE_ON & _WDT_OFF
;________________________________________________________________________

	cblock	H'0C'			; start variables block
		delayCount
		delayCount2
	endc

;________________________________________________________________________

	ORG	0			; start code
	goto	main

#define	IN	PORTB,0
#define	OUT	PORTB,1
#define	AUDIO	PORTB,2
;________________________________________________________________________

delayLoop
	movlw	D'5'
	movwf	delayCount2
delayLoop1
	decfsz	delayCount, F
	 goto	delayLoop1
	decfsz	delayCount2, F
	 goto	delayLoop1
	return

main
	bsf	STATUS, RP0		; Select Bank 1
	bcf	OUT
	bcf	AUDIO
	bcf	STATUS, RP0		; Select Bank 0

mainLoop
	btfsc	IN
	 bsf	OUT
	btfss	IN
	 bcf	OUT
	bsf	AUDIO

	call	delayLoop

	goto	$+1

	btfsc	IN
	 bsf	OUT
	btfss	IN
	 bcf	OUT
	bcf	AUDIO

	call	delayLoop

	goto	mainLoop

	END
;________________________________________________________________________

